tigase.jaxmpp.core.client.xmpp.modules.muc

## Interface MucModule.JoinRequestedHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    MucModule

      public static interface MucModule.JoinRequestedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MucModule.JoinRequestedHandler.JoinRequestedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onJoinRequested(SessionObject sessionObject, Room room, String nickname, Presence sentPresence)`

- - ### Method Detail

    - #### onJoinRequested

          void onJoinRequested(SessionObject sessionObject,
                               Room room,
                               String nickname,
                               Presence sentPresence)

Copyright © 2006–2020 Tigase. All rights reserved.